Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class FormalParameterTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.datamodel.ModelComponentTable
oracle.rules.sdk.editor.datamodel.FormalParameterTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

public class FormalParameterTable
extends ModelComponentTable

A list of formal parameters

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`m_dm, m_mark, m_parent`

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`FormalParameter` | `add()` Create a Formal parameter and add it to the Formal Parameter table
`FormalParameter` | `getFormalParameter(int index)` get a formalParameter by index
`FormalParameter` | `getFormalParameter(java.lang.String id)` get a formalParameter by id
`java.lang.Object` | `removeByID(java.lang.String id)` Remove a formal parameter by id.

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponentTable
`getParent, mark, removeMarked`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Method Detail

### add

    public FormalParameter add()

  Create a Formal parameter and add it to the Formal Parameter table
  Returns:
    The newly created Formal Parameter.

### getFormalParameter

    public FormalParameter getFormalParameter(int index)

  get a formalParameter by index
  Parameters:
    `index` - the index of the formalParameter list
  Returns:
    The formalParameter in the position

### getFormalParameter

    public FormalParameter getFormalParameter(java.lang.String id)

  get a formalParameter by id
  Parameters:
    `id` - the id of the formalParameter requested
  Returns:
    The formalParameter matching the id

### removeByID

    public java.lang.Object removeByID(java.lang.String id)
                                throws DeleteException

  Remove a formal parameter by id. If the given id does not match any formal parameter, then no formal parameter is removed.
  Specified by:
    `removeByID` in class `ModelComponentTable`
  Parameters:
    `id` - the id of the formal parameter to be removed
  Returns:
    The formal parameter being removed. Null if no formal parameter is removed.
  Throws:
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.